<?php
if (!isset($_POST['action']))
{
	echo "<h1>Kunde löschen</h1>\n";
	$sql = "SELECT Firma, Vorname, Nachname FROM " . PREFIX . "_Kontakte WHERE ID = \"" . $_POST['ID'] . "\";";
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	echo "<h2>Soll folgender Kunde wirklich gelöscht werden?</h2>\n";
	echo "<label>Firma</label>\n";
	echo "<label class=\"data\">" . $nt['Firma'] . "</label>\n";
	echo "<br class=\"fix\" />\n";
	echo "<label>Ansprechpartner</label>\n";
	echo "<label class=\"data\">" . $nt['Vorname'] . " " . $nt['Nachname'] . "</label>\n";
	echo "<br class=\"fix\" />\n";
	echo "<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\" >\n";
	echo "	<input type=\"hidden\" name=\"ID\" value=\"" . $_POST['ID'] . "\" />\n";
	echo "	<input type=\"hidden\" name=\"formaction\" value=\"del\" />\n";
	echo "	<br />\n";
	echo "	<input type=\"submit\" class=\"button_del\" name=\"action\" value=\"1\" title=\"Kunde jetzt löschen\" />\n";
	echo "	<input type=\"submit\" class=\"button_stop\" name=\"formaction\" value=\"stop\" title=\"Abbrechen\" />\n";
	echo "</form>\n";
	echo "<br class=\"fix\" />\n";
}
else
{
	$sql = 'DELETE FROM
				' . PREFIX . '_Kontakte
			WHERE
				ID = "' . $_POST['ID'] . '";';
	$result = $db->query($sql);
	if ($result)
	{
		unset($_POST);
		include __DIR__ . "/kontakt.php";
	}
	else
	{
		echo "Fehler beim löschen";
	}
}